%bcond_without   check

Summary:        Build manual page from python ArgumentParser object
Name:           argparse-manpage
Version:        4
Release:        9%{?dist}
License:        ASL 2.0
URL:            https://github.com/praiskup/%{name}
Source0:        %{url}/releases/download/v%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel pyproject-rpm-macros
%if %{with check}
BuildRequires:  python3-pytest
%endif
Requires:       python3-%{name} = %{version}-%{release}

%description
Generate manual page an automatic way from ArgumentParser object, so the
manpage 1:1 corresponds to the automatically generated --help output.
The manpage generator needs to known the location of the object,
user can specify that by (a) the module name or corresponding python filename
and (b) the object name or the function name which returns the object.
There is a limited support for (deprecated) optparse objects, too.


%package -n     python3-%{name}
Summary:        Build manual page from python3 ArgumentParser object
Requires:       python3-setuptools

%description -n python3-%{name}
Generate manual page an automatic way from ArgumentParser object, so the
manpage 1:1 corresponds to the automatically generated --help output.
The manpage generator needs to known the location of the object,
user can specify that by (a) the module name or corresponding python filename
and (b) the object name or the function name which returns the object.
There is a limited support for (deprecated) optparse objects, too.

%package -n python3-%{name}+setuptools
Summary: Subpackage for python3-%{name} with extra setuptools dependencies
Requires: python3-%{name}

%description -n python3-%{name}+setuptools
This is the subpackage for python3-%{name} with extra setuptools dependencies.

%files -n python3-%{name}+setuptools -f %{_pyproject_ghost_distinfo}


%prep
%autosetup

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install


%if %{with check}
%check
%pytest
%endif


%files
%license LICENSE
%{_bindir}/argparse-manpage
%_mandir/man1/argparse-manpage.1.*
%python3_sitelib/argparse_manpage/cli.py


%files -n python3-%name
%license LICENSE
%python3_sitelib/build_manpages
%python3_sitelib/argparse_manpage
%python3_sitelib/argparse_manpage-*dist-info
%exclude %python3_sitelib/argparse_manpage/cli.py


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4-9
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Tue Sep 3 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4-8
- [Type] other
- [DESC] Restore changelog

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4-7
- Rebuilt for loongarch release

* Wed Jul 31 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4-6
- Add subpkg setuptools

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Dec 06 2022 rockerzhu <rockerzhu@tencent.com> - 4-1
- Initial build
